Hardy Index Quantum readiness, rated and tracked

Cryptography

Cryptography registry

Every signature and key scheme a rated chain uses or has named, recorded once with its standard and whether Shor's algorithm breaks it.

Each chain's profile lists the schemes it uses, what for, and how far each is deployed, with a source for every entry. This registry is published beside the Hardy Score and is not an input to it. A role a profile does not list is not evidenced either way, which is not the same as saying the chain has none.

Shared exposure

For each scheme a quantum computer running Shor's algorithm would break, the rated chains whose accounts sign with it by default or by mandate. Opt-in uses and consensus roles are on each scheme's page and are not counted here. A chain that lets accounts choose between two schemes is counted under both.

Broken by Shor's algorithm

Scheme Standard Rated chains
BLS signatures on BLS12-381 BLS draft-irtf-cfrg-bls-signature draft 14
CLSAG ring signatures Concise Linkable Spontaneous Anonymous Group signatures No published standard 2
ECDSA on brainpoolP512t1 Brainpool, brainpoolP512t1 RFC 5639 1
ECDSA on secp256k1 secp256k1, ECDSA SEC 1 and SEC 2 59
ECDSA on secp256r1 secp256r1, P-256, prime256v1 FIPS 186-5 (P-256) 11
ECDSA on sect571r1 sect571r1, B-571 SEC 2 1
ECVRF Elliptic-curve verifiable random function, VRF RFC 9381 4
Ed25519 EdDSA, Curve25519 RFC 8032 33
Mina Schnorr signatures on Pallas Mina Schnorr, Schnorr-Pallas No published standard 1
RedDSA RedPallas, RedJubjub No published standard 2
RSA-PSS RSA, RSASSA-PSS RFC 8017 1
Schnorr signatures on secp256k1 BIP-340, Schnorr BIP-340 8
sr25519 Schnorrkel, Ristretto Schnorr No published standard 3

Believed quantum-resistant

Scheme Standard Rated chains
Abelian lattice signatures and KEM Abelian post-quantum primitives No published standard 1
FN-DSA Falcon, FIPS 206 FIPS 206 draft 10
leanXMSS lean signatures No published standard 2
LM-OTS Leighton-Micali one-time signatures, LMS RFC 8554 1
ML-DSA CRYSTALS-Dilithium, Dilithium, FIPS 204 FIPS 204 23
SLH-DSA SPHINCS+, FIPS 205 FIPS 205 4
Winternitz one-time signatures WOTS No published standard 1
WOTS+ Winternitz one-time signature plus RFC 8391 1
XMSS eXtended Merkle Signature Scheme SP 800-208 and RFC 8391 2